import controllers.Controller;
import models.TrafficModel;
import views.View;

public class Simulator {
	public static void main(String[] args) {
		TrafficModel model = new TrafficModel();
		View view = new View(model);
		Controller controller = new Controller(model, view);
		
		System.out.println("Default State:");
		System.out.println(view.toString());
		
		for (int i = 0; i < 2; ++i) {

			System.out.println("Warning for Pedestrians:");
			controller.getTimer().triggerPedestrianWarning();
			System.out.println(view.toString());

			System.out.println("Warning for Traffic:");
			controller.getTimer().triggerTrafficWarning();
			System.out.println(view.toString());

			System.out.println("Stop:");
			controller.getTimer().triggerStop();
			System.out.println(view.toString());

			System.out.println("Change Direction:");
			controller.getTimer().triggerDirectionChange();
			System.out.println(view.toString());
		}
	}
}
