package controllers;
import models.TrafficModel;
import models.TrafficModel.Direction;
import views.View;

public class Controller {

	private CarDetector[] sensors;
	private PedestrianButton[] buttons;
	private Timer timer;
	
	public Controller(TrafficModel model, View view) {
		
		sensors = new CarDetector[4];
		sensors[0] = new CarDetector(model, Direction.NORTH_SOUTH);
		sensors[1] = new CarDetector(model, Direction.EAST_WEST);
		sensors[2] = new CarDetector(model, Direction.NORTH_SOUTH);
		sensors[3] = new CarDetector(model, Direction.EAST_WEST);
		
		buttons = new PedestrianButton[4];
		buttons[0] = new PedestrianButton(model, Direction.NORTH_SOUTH);
		buttons[1] = new PedestrianButton(model, Direction.EAST_WEST);
		buttons[2] = new PedestrianButton(model, Direction.NORTH_SOUTH);
		buttons[3] = new PedestrianButton(model, Direction.EAST_WEST);
		
		timer = new Timer(model, view);
	}
	
	public Timer getTimer() {
		return timer;
	}
	

}
