package controllers;

import models.TrafficModel;
import views.View;

public class Timer {

	private TrafficModel model;
	private View view; 
	
	public Timer (TrafficModel m, View v) {
		this.model = m;
		this.view = v;
	}
	
	// green light for traffic
	// walk for pedestrians
	public void triggerDirectionChange() {
		model.toggleDirection();
		view.update();
	}
	
	// walk -> flashing don't walk
	public void triggerPedestrianWarning() {
		model.triggerPedestrianWarning();
		view.update();
	}
	
	// green -> yellow
	public void triggerTrafficWarning() {
		model.triggerTrafficWarning();
		view.update();
	}
	
	// flashing don't walk -> don't walk
	// yellow -> red
	public void triggerStop() {
		model.triggerStop();
		view.update();
	}
}
