package views;

import models.TrafficModel;
import models.TrafficModel.Direction;

public class CarLight {

	private Light red;
	private Light yellow;
	private Light green;
	private Direction dir;

	public CarLight(Direction dir) {
		this.dir = dir;
		this.red = new Light();
		this.yellow = new Light();
		this.green = new Light();
	}

	public void update(TrafficModel m) {
		switch (m.getTrafficState(dir)) {
		case GOING:
			setToGreen();
			break;
		case STOPPED:
			setToRed();
			break;
		case SLOWING_DOWN:
			setToYellow();
			break;
		}
	}

	public void setToYellow() {
		green.turnOff();
		red.turnOff();
		yellow.turnOn();
	}

	public void setToRed() {
		yellow.turnOff();
		green.turnOff();
		red.turnOn();
	}

	public void setToGreen() {
		red.turnOff();
		yellow.turnOff();
		green.turnOn();
	}

	public String toString() {
		String result = "[";
		result += (red.isOn()) ? "🔴" : "⚫";
		result += (yellow.isOn()) ? "🟡" : "⚫";
		result += (green.isOn()) ? "🟢" : "⚫";
		result += "]";
		return result;
	}

}
