package views;

import models.TrafficModel;
import models.TrafficModel.Direction;

public class PedestrianLight {
	private Light walk;
	private Light dontWalk;
	private Direction dir;

	public PedestrianLight(Direction d) {
		this.walk = new Light();
		this.dontWalk = new Light();
		this.dir = d;
	}
	
	public void update(TrafficModel m) {
		switch (m.getPedestrianState(dir)) {
		case GOING:
			setToWalk();
			break;
		case STOPPED:
			setToDontWalk();
			break;
		case WARNING:
			setToFlashingDontWalk();
			break;
		}
	}

	public void setToWalk() {
		dontWalk.turnOff();
		walk.turnOn();
	}

	public void setToDontWalk() {
		walk.turnOff();
		dontWalk.turnOn();
	}

	public void setToFlashingDontWalk() {
		walk.turnOn();
		dontWalk.turnOn();
	}
	
	public String toString() {
		if (walk.isOn()) {
			if (dontWalk.isOn()) {
				return "⚪️";
			}
			return "🚶";
		}
		return "🚷";
	}
}
