package views;


import models.TrafficModel;
import models.TrafficModel.Direction;

public class View {

	private TrafficModel model;
	
	PedestrianLight sw_ew;
	PedestrianLight sw_ns;
	PedestrianLight se_ew;
	PedestrianLight se_ns;
	PedestrianLight nw_ew;
	PedestrianLight nw_ns;
	PedestrianLight ne_ew;
	PedestrianLight ne_ns;
	CarLight n, s, e, w;

	public View(TrafficModel m) {
		this.model = m;
		nw_ew = new PedestrianLight(Direction.EAST_WEST);
		nw_ns = new PedestrianLight(Direction.NORTH_SOUTH);
		sw_ew = new PedestrianLight(Direction.EAST_WEST);
		sw_ns = new PedestrianLight(Direction.NORTH_SOUTH);
		ne_ew = new PedestrianLight(Direction.EAST_WEST);
		ne_ns = new PedestrianLight(Direction.NORTH_SOUTH);
		se_ew = new PedestrianLight(Direction.EAST_WEST);
		se_ns = new PedestrianLight(Direction.NORTH_SOUTH);
		n = new CarLight(Direction.NORTH_SOUTH);
		s = new CarLight(Direction.NORTH_SOUTH);
		e = new CarLight(Direction.EAST_WEST);
		w = new CarLight(Direction.EAST_WEST);
		update();
	}
	
	public void update() {
		ne_ns.update(model);
		ne_ew.update(model);
		nw_ew.update(model);
		nw_ns.update(model);
		se_ew.update(model);
		sw_ew.update(model);
		se_ns.update(model);
		sw_ns.update(model);
		n.update(model);
		s.update(model);
		e.update(model);
		w.update(model);
	}
	
	public String toString() {
		var sb = new StringBuilder();
		sb.append("          |       |       |          \n")
		  .append("      ⚪️").append(nw_ns).append("|       |       |").append(ne_ns).append("⚪️      \n")
		  .append("      ").append(nw_ew).append("  |       |       |️  ").append(ne_ew).append("      \n")
		  .append("----------+       ").append(n).append("+----------\n")
		  .append("   ").append(w).append("                            \n")
		  .append("=========                  =========\n")
		  .append("                         ").append(e).append("      \n")
		  .append("----------+").append(s).append("       +----------\n")
		  .append("      ").append(sw_ew).append(" ️|       |       |  ").append(se_ew).append("      \n")
		  .append("      ⚪️").append(sw_ns).append("|       |       |").append(se_ns).append("⚪️      \n")
		  .append("          |       |       |          \n");
		return sb.toString();
	}
}
